// creator  : weidu.exe (version 23100)
// argument : _FERGUS.DLG
// game		 : .
// source	 : ./override/_FERGUS.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_FERGUS~

IF ~ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN BEGIN 0 // from:
  SAY #81018 /* ~Eh? Lazy day, ain't it?~ */
  IF ~~ THEN EXIT
END

IF ~Global("FERGUS1","GLOBAL",0)
ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN BEGIN 1 // from:
  SAY #81019 /* ~I've gotta admit, I ain't never been happier. Got a letter from my lady and she's gonna be home reeeal soon... Just gotta find me a pretty little ring for her pretty little finger and all's gonna be just fine, just fine.  But my lady, she transcends gold or silver or fancy stones. She'll have nothing less than an angel skin ring from me.~ */
  IF ~~ THEN DO ~SetGlobal("FERGUS1","GLOBAL",1)
~ UNSOLVED_JOURNAL #81020 /* ~A ring for a lady

Fergus, a soldier of the Flaming Fist, is in need of a ring for his love.  According to him, nothing but an angel skin ring will do.~ */ EXIT
  IF ~Global("X#FERGUS1","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#FERGUS1","GLOBAL",1)~ EXTERN ~_EDWINJ~ 180
  IF ~Global("X#FERGUS1","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#FERGUS1","GLOBAL",1)~ EXTERN ~_GARRIJ~ 200
END

IF ~False()
~ THEN BEGIN 2 // from:
  SAY #81021 /* ~Ah, that there's a fine ring but my lady, she transcends gold or silver or fancy stones. No, she'll have nothing less than angel skin from me.~ */
  IF ~~ THEN EXIT
END

IF ~Global("FERGUS1","GLOBAL",1)
PartyHasItem("_RING16")
~ THEN BEGIN 3 // from:
  SAY #81022 /* ~Ah, a ring of angel's skin. You must know my lady well to have chosen so appropriately... If you're ever needin' a little work around here, check with Scar, Second-in-Command of the Flamin' Fist. You can tell him I recommended you.~ */
  IF ~~ THEN DO ~EraseJournalEntry(81020)
TakePartyItem("_RING16")
SetGlobal("FERGUS1","GLOBAL",2)
AddexperienceParty(800)
ReputationInc(1)
~ SOLVED_JOURNAL #88971 /* ~A ring for a lady

I located an angel skin ring for Fergus, who seemed well pleased with it.~ */ EXIT
END

IF ~False()
~ THEN BEGIN 4 // from:
  SAY #81023 /* ~Fight you and ne'er see my lady? I am in love but that don't mean I'm foolish.~ */
  IF ~~ THEN EXIT
END

IF ~Global("FERGUS1","GLOBAL",1)
!PartyHasItem("_RING16")
~ THEN BEGIN 5 // from:
  SAY #81024 /* ~Ah, it is a fine wind that brings my lady, fresh and cool and beautiful.~ */
  IF ~~ THEN EXIT
END

IF ~Global("FERGUS1","GLOBAL",2)
~ THEN BEGIN 6 // from:
  SAY #81025 /* ~Ring in hand, I still wait for my lady. She will be here soon enough. Travel well, my friend.~ */
  IF ~~ THEN EXIT
END
